import request from '@/utils/request'

// 查询个微账号列表
export function listCompanyAccount(query) {
  return request({
    url: '/company/companyWx/list',
    method: 'get',
    params: query
  })
}

// 查询个微账号列表
export function companyListAll(query) {
  return request({
    url: '/company/companyWx/companyListAll',
    method: 'get',
    params: query
  })
}
// 查询个微账号列表
export function listAll(query) {
  return request({
    url: '/company/companyWx/listAll',
    method: 'get',
    params: query
  })
}

// 查询个微账号详细
export function getCompanyAccount(id) {
  return request({
    url: '/company/companyWx/' + id,
    method: 'get'
  })
}

// 新增个微账号
export function addCompanyAccount(data) {
  return request({
    url: '/company/companyWx',
    method: 'post',
    data: data
  })
}

// 修改个微账号
export function updateCompanyAccount(data) {
  return request({
    url: '/company/companyWx',
    method: 'put',
    data: data
  })
}

// 删除个微账号
export function delCompanyAccount(id) {
  return request({
    url: '/company/companyWx/' + id,
    method: 'delete'
  })
}

// 导出个微账号
export function exportCompanyAccount(query) {
  return request({
    url: '/company/companyWx/export',
    method: 'get',
    params: query
  })
}
